org.apache.log4j.db.dialect

## Class Util

- java.lang.Object
- - org.apache.log4j.spi.ComponentBase
  - - org.apache.log4j.db.dialect.Util

- All Implemented Interfaces:
    Component

      public class Util
      extends ComponentBase

  Author:
    Ceki Gulcu

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.spi.ComponentBase

      `repository`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `discoverSQLDialect(DatabaseMetaData meta)`
    `static SQLDialect` | `getDialectFromCode(int dialectCode)`
    `boolean` | `supportsBatchUpdates(DatabaseMetaData meta)` This method handles cases where the `DatabaseMetaData.supportsBatchUpdates()` method is missing in the JDBC driver implementation.
    `boolean` | `supportsGetGeneratedKeys(DatabaseMetaData meta)` This method handles cases where the `DatabaseMetaData.supportsGetGeneratedKeys()` method is missing in the JDBC driver implementation.

    - ### Methods inherited from class org.apache.log4j.spi.ComponentBase

      `getLogger, getLoggerRepository, getNonFloodingLogger, resetErrorCount, setLoggerRepository`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### discoverSQLDialect

          public static int discoverSQLDialect(DatabaseMetaData meta)

    - #### getDialectFromCode

          public static SQLDialect getDialectFromCode(int dialectCode)

    - #### supportsGetGeneratedKeys

          public boolean supportsGetGeneratedKeys(DatabaseMetaData meta)

      This method handles cases where the `DatabaseMetaData.supportsGetGeneratedKeys()` method is missing in the JDBC driver implementation.

    - #### supportsBatchUpdates

          public boolean supportsBatchUpdates(DatabaseMetaData meta)

      This method handles cases where the `DatabaseMetaData.supportsBatchUpdates()` method is missing in the JDBC driver implementation.

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.